www/p5-libwww - The NetBSD Packages Collection

Perl5 library for WWW access

       Libwww-perl is a collection of Perl modules which provides
       a simple and consistent programming interface (API) to the
       World-Wide Web.  The main focus of the library is to
       provide classes and functions that allow you to write WWW
       clients, thus libwww-perl said to be a WWW client library.
       The library also contain modules that are of more general
       use.

       The main architecture of the library is object oriented.
       The user agent, requests sent and responses received from
       the WWW server are all represented by objects.  This makes
       a simple and powerful interface to these services.  The
       interface should be easy to extend and customize for your
       needs.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

textproc/p5-Encode-Locale devel/p5-File-Listing www/p5-HTTP-Cookies www/p5-HTTP-Daemon www/p5-HTTP-Date www/p5-HTTP-Negotiate www/p5-HTTP-Message www/p5-LWP-MediaTypes www/p5-Net-HTTP www/p5-URI www/p5-WWW-RobotRules www/p5-LWP-Protocol-https security/p5-Crypt-SSLeay www/p5-HTML-Parser www/p5-HTML-Tagset security/p5-IO-Socket-SSL lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-libwww-6.49.tgz
NetBSD 8.0earmv7hfp5-libwww-6.47.tgz
NetBSD 8.0earmv7hfp5-libwww-6.49.tgz
NetBSD 8.0i386p5-libwww-6.47.tgz
NetBSD 8.0i386p5-libwww-6.49.tgz
NetBSD 8.0i386p5-libwww-6.49.tgz
NetBSD 8.0powerpcp5-libwww-6.47.tgz
NetBSD 8.0powerpcp5-libwww-6.49.tgz
NetBSD 8.0powerpcp5-libwww-6.49.tgz
NetBSD 8.0powerpcp5-libwww-6.49.tgz
NetBSD 8.0x86_64p5-libwww-6.49.tgz
NetBSD 8.0x86_64p5-libwww-6.47.tgz
NetBSD 8.0x86_64p5-libwww-6.49.tgz
NetBSD 9.0aarch64p5-libwww-6.47.tgz
NetBSD 9.0aarch64p5-libwww-6.49.tgz
NetBSD 9.0alphap5-libwww-6.49.tgz
NetBSD 9.0alphap5-libwww-6.47.tgz
NetBSD 9.0alphap5-libwww-6.49.tgz
NetBSD 9.0earmp5-libwww-6.47.tgz
NetBSD 9.0earmp5-libwww-6.49.tgz
NetBSD 9.0earmp5-libwww-6.49.tgz
NetBSD 9.0earmv6hfp5-libwww-6.49.tgz
NetBSD 9.0earmv6hfp5-libwww-6.47.tgz
NetBSD 9.0earmv6hfp5-libwww-6.49.tgz
NetBSD 9.0earmv6hfp5-libwww-6.49.tgz
NetBSD 9.0earmv7hfp5-libwww-6.49.tgz
NetBSD 9.0earmv7hfp5-libwww-6.47.tgz
NetBSD 9.0earmv7hfp5-libwww-6.49.tgz
NetBSD 9.0earmv7hfp5-libwww-6.49.tgz
NetBSD 9.0earmv7hfp5-libwww-6.49.tgz
NetBSD 9.0i386p5-libwww-6.47.tgz
NetBSD 9.0i386p5-libwww-6.49.tgz
NetBSD 9.0i386p5-libwww-6.49.tgz
NetBSD 9.0m68kp5-libwww-6.49.tgz
NetBSD 9.0m68kp5-libwww-6.47.tgz
NetBSD 9.0m68kp5-libwww-6.49.tgz
NetBSD 9.0mips64ebp5-libwww-6.49.tgz
NetBSD 9.0mips64ebp5-libwww-6.47.tgz
NetBSD 9.0mips64ebp5-libwww-6.49.tgz
NetBSD 9.0mipselp5-libwww-6.49.tgz
NetBSD 9.0mipselp5-libwww-6.49.tgz
NetBSD 9.0powerpcp5-libwww-6.49.tgz
NetBSD 9.0powerpcp5-libwww-6.47.tgz
NetBSD 9.0powerpcp5-libwww-6.49.tgz
NetBSD 9.0powerpcp5-libwww-6.49.tgz
NetBSD 9.0sh3elp5-libwww-6.47.tgz
NetBSD 9.0sh3elp5-libwww-6.49.tgz
NetBSD 9.0sh3elp5-libwww-6.49.tgz
NetBSD 9.0sparc64p5-libwww-6.49.tgz
NetBSD 9.0sparc64p5-libwww-6.43.tgz
NetBSD 9.0sparc64p5-libwww-6.47.tgz
NetBSD 9.0sparc64p5-libwww-6.49.tgz
NetBSD 9.0sparcp5-libwww-6.49.tgz
NetBSD 9.0sparcp5-libwww-6.47.tgz
NetBSD 9.0sparcp5-libwww-6.49.tgz
NetBSD 9.0x86_64p5-libwww-6.49.tgz
NetBSD 9.0x86_64p5-libwww-6.49.tgz
NetBSD 9.0x86_64p5-libwww-6.49.tgz
NetBSD 9.0x86_64p5-libwww-6.49.tgz
NetBSD 9.0x86_64p5-libwww-6.47.tgz
NetBSD 9.0x86_64p5-libwww-6.49.tgz
NetBSD 9.0x86_64p5-libwww-6.49.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

libwww-aliases
Install aliases for p5-libwww (e.g. HEAD, GET etc.).

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.